#!/usr/bin/perl

# Public Alert Viewer
# $Id: pubview.pl,v 3.0 1999/08/01 23:31:52 gashalot Exp gashalot $
# WebTTS 3.0
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#                                                                               

require '/full/path/to/tts-inc.pl';
use DBI;

print "Content-type: text/html\n\n";

$type = $ENV{'QUERY_STRING'};
$badticket = 1;

foreach $pub (@PUBLIC) {
 if ($pub eq "$type") {
  $badticket = 0;
 }
}


if ($badticket == 1) {
  &HTMLTop;
  print "Not a valid ticket type";
  &HTMLBod;
  print "<h1>You have not entered a valid Public ticket type\!</h1>  You call ";
  print "ticket types by accessing this script with ?type after the URL.  ";
  print "Valid type strings are:";
  foreach $validtype (@PUBLIC) {
  print " $validtype\,";
  }
  &HTMLBot;
  exit(0);
}

&HTMLTop;
print "Currently open $type tickets";
&HTMLBod;
print "<h1>Currently open $type tickets</h1>\n";

print "<table border=0><tr>";


$dbh = DBI->connect($dsn, $dbuser, $dbpass);
$drh = DBI->install_driver("mysql");
$sth = $dbh->prepare("SELECT cust, area, description, upd FROM tickets WHERE ((stat NOT LIKE 'Closed') AND (type LIKE \'$type\'))");

$sth->execute;

while (@row = $sth->fetchrow_array) {
	$cust = @row[0];
	$area = @row[1];
	$desc = @row[2];
	$updi = @row[3];


print "<tr><td><b>Customers Affected:</b> $cust<br>\n";
print "<b>Area Affected:</b> $area<br>\n";
print "<b>Desctripition:</b><br>\n$desc\n\n$updi<br></td></tr>";
print "<hr>\n";
$tickets = 1;
}

$sth->finish;
$dbh->disconnect;


if ($tickets != 1) {
print "<tr><td>There are currently no active $tag tickets in the system.</td></tr>\n";
}
print "</table>";
&HTMLBot;

exit(0);
