# Trouble Ticketing System
# $Id: tts-email.pl,v 3.0 1999/07/31 02:26:30 gashalot Exp gashalot $
# (C) 1998,1999 Robert Gash
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

sub tts_email {
	use Mail::Sendmail;
	%mail = (
   		To		=> "$sendaddr",
		From	=> "$whoami" );
	$mail{smtp} = "$smtp";
  if ($mailwho eq "user") {
	
	$mail{Subject} = "WebTTS Trouble Ticket Assignment -- Ticket \#$sendticket";
    $mail{message} = "You have been assigned the following ticket by $name\, ";
    $mail{message} .= "\($user\).  Please ensure that this matter is resolved in ";
    $mail{message} .= "a timely manner.\n\n";
  } elsif ($mailwho eq "customer") {
    $mail{Subject} = "WebTTS Trouble Ticket \#$sendticket";
    $mail{message} = "Please retain this ticket eMail so you have proof of ";
    $mail{message} .= "entry into the system, and so we can track your problem.\n\n";
  } elsif ($mailwho eq "userupdate") {
    $mail{Subject} = "WebTTS Trouble Ticket Update -- Ticket \#$sendticket";
    $mail{message} = "Your assigned ticket has been edited by $name \($user\).\n";
  }
  
  $mail{message} .= "Ticket Number: $sendticket\n";
  if ($usecust == 1) {
    $mail{message} .= "Customer: $cust\n";
    $mail{message} .= "Customer eMail: $cust_email\n";
    $mail{message} .= "Customer Phone: $cust_phone\n";
  }

  if ($mailwho =~ /user/g) {
    $mail{message} .= "Entered by: $user\n";
    $mail{message} .= "Ticket Type: $prob\n";
    $mail{message} .= "Status: $status\n";
    $mail{message} .= "Area Affected: $area\n";
    $sep = "-----------------------------------------------------------------------";
    $mdesc = $desc;
    $mdesc =~ s/<br>/\n/g;
    $mail{message} .= "Descripition: \n$sep\n$mdesc\n$sep\n";
    if ($update ne "") {
     $nupdate = $update;
     $nupdate =~ s/<br>/\n/g;
     $mail{message} .= "Updates:\n$sep\n$nupdate\n$sep";
    }
  }
 
  sendmail(%mail);
 
}

1;
